GD: Problem in installing GD 1.20-1.27 
Author Message
 GD: Problem in installing GD 1.20-1.27

hello all,

I need some help in installing the GD.pm  package in my RH 6.0 box.  Perl 5.005
is already fully installed and functional.  We need GD in order to use the
Barcode module.

The problem I ran into is:  perl Makefile.PL  said everything is OK, but when I
do a make,  I got the following errors:

     In function 'XS_GD__Image-gd2':
     'GD2_FMT_COMPRESSED' undeclared (first use in this function)

I also saw several warning about "assignment makes pointer from integer without
a cast'.

The make session ended with  "make: *** [GD.o] Error 1.

Judging from the last message, I guess  make failed because of an undeclared
identifier.   I tried all versions 1.20 - 1.27 with no success.

How do I resolve this to install GD?

Thanks.

-Stearns



Wed, 18 Jun 1902 08:00:00 GMT  
 GD: Problem in installing GD 1.20-1.27

Quote:

>hello all,

>I need some help in installing the GD.pm  package in my RH 6.0 box.  Perl 5.005
>is already fully installed and functional.  We need GD in order to use the
>Barcode module.

I've not seen that particular error but RH doesn't give me a lot of confidence
that everything is kosher on the system...
http://search.cpan.org/doc/LDS/GD-1.27/README.unix and
http://search.cpan.org/doc/LDS/GD-1.27/README

might give you a few options, namely rebuilding Perl and trying GD with
fresh versions of GD-1.8.1 and GD.pm 1.27.

Good luck.

e.



Wed, 18 Jun 1902 08:00:00 GMT  
 GD: Problem in installing GD 1.20-1.27

Quote:
> hello all,

> I need some help in installing the GD.pm  package in my RH 6.0 box.  Perl 5.005
> is already fully installed and functional.  We need GD in order to use the
> Barcode module.

> The problem I ran into is:  perl Makefile.PL  said everything is OK, but when I
> do a make,  I got the following errors:

>      In function 'XS_GD__Image-gd2':
>      'GD2_FMT_COMPRESSED' undeclared (first use in this function)

> I also saw several warning about "assignment makes pointer from integer without
> a cast'.

> The make session ended with  "make: *** [GD.o] Error 1.

> Judging from the last message, I guess  make failed because of an undeclared
> identifier.   I tried all versions 1.20 - 1.27 with no success.

> How do I resolve this to install GD?

Seek out and remove all vestiges of the libgd that comes with RedHat -
this will include some /usr/lib/libgd.(a|so.?[\d.]*) files and some
stuff in /usr/include.  You might want to use RPM to remove the package
if you are of nervous disposition. Then get the latest libgd source from
boutell.com and build and install it.  This should sort your problem -
or it did for me when I was in a similar position.

/J\
--
D'oh!!!
--
fortune oscar homer



Wed, 18 Jun 1902 08:00:00 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. GD-1.27 install problems

2. Error Install GD-1.27

3. Problems with make test for GD-1.27 on Solaris

4. GD install problem, can't find gd.h

5. GD-1.27 on Compaq Tru64/Digital Unix

6. building a statically linked GD-1.27

7. make test of GD-1.27 fails

8. GD.pm (ver 1.23) compile fails on Linux RedHat 6.1 (2.2.12-20)

9. GD - problems in creating GD.pl

10. Problems with GD->plot() using GD::Barcode::UPCE

11. Problems Making GD.pm (GD-1.22)

12. Problems installing perl5.004_01 on HPUX10.20

 

 
Powered by phpBB® Forum Software